Subject: bug#16510: Assertion failure during GC while displaying etc/HELLO

From: Juanma Barranquero <[email-masked]>
Date: Tue, 21 Jan 2014 04:37:02 +0100

On Tue, Jan 21, 2014 at 4:13 AM, Dmitry Antipov <[email-masked]> wrote:

> Juanma, could you please describe your environment

I'm running Emacs (a 32-bit build from trunk, with MinGW gcc 4.7.2) on
Windows 7 Home Premium 64-bit. What else do you need to know?

> and run temacs
> under valgrind, e.g.
>
> valgrind --tool=memcheck ./temacs -Q -fn "Linux Libertine Mono-10"

Alas, there's no valgrind for Windows, AFAIK.

Anyway, the bug is a bit of a heisenbug (not uncommon for GC bugs).
Now, after updating trunk and rebuilding, I cannot trigger the
assertion failure with Droid Sans Mono or Linux Libertine Mono, but I
still can do it with Courier Prime, Source Code Pro, Inconsolata, Dark
Courier...

If there's anything you want me to try, just say so.